create procedure rrhh.sp_guardarTipoHoraExtra
@numCodempresa int,
@numCodtipo int,
@txtTipoHora varchar(300),
@numFactor decimal(18,2),
@numRecargo decimal(18,2),
@numCotiza int,
@numRenta int,
@numCalcularSobreSalario int,
@numPlanillaComplementaria int,
@dbRespuesta varchar(300) output
as
begin
	set nocount on;

	declare @dbCnt int;

	select @dbCnt = count(*) FROM [negocios_a].dbo.pla_tipo_hora_extra where codtipohoraextra = @numCodtipo and estado = 1;

	if @dbCnt > 0
		begin
			update [negocios_a].dbo.pla_tipo_hora_extra set nomtipohoraextra = @txtTipoHora,Factor = @numFactor,Recargo = @numRecargo,aplicaCotizaciones = @numCotiza, aplicaRenta = @numRenta,calcularSobreSalario = @numCalcularSobreSalario,planillaComplementaria = @numPlanillaComplementaria where codtipohoraextra = @numCodtipo;
		end
	else
		begin
			insert into [negocios_a].dbo.pla_tipo_hora_extra(codempresa,codtipohoraextra,nomtipohoraextra,Factor,Recargo,aplicaCotizaciones,aplicaRenta,calcularSobreSalario,planillaComplementaria) values(@numCodempresa,@numCodtipo,@txtTipoHora,@numFactor,@numRecargo,@numCotiza,@numRenta,@numCalcularSobreSalario,@numPlanillaComplementaria);
		end

	set @dbRespuesta = 'success';
end